POST/hotels

Search Hotels

Implementation Notes

This API call retrieves a list of all hotels available in the RatesAPI database for rate retrieval. If a hotel you wish to retrieve rate for is not listed, please send the request using POST /Hotelmaprequest endpoint. We will make efforts to add the hotel to our database within 24 to 72 business hours.
POST/hotels

Parameter Details

NameInTypeRequiredDescription
bodybodyOptionalnone
» hotelnamebodystringOptionalnone
» countrybodystringOptionalnone
» citybodynumberOptionalnone
» statebodystringOptionalnone
» zipbodystringOptionalnone
» keywordbodystringOptionalnone
» pagenumberbodynumberOptionalnone
» pagesizebodynumberOptionalnone
» geolocationbodyobjectOptionalnone
»» latitudebodystringOptionalnone
»» longitudebodystringOptionalnone
»» radiusbodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccessNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /hotels \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body Parameter

{
 "hotelname": "Hilton",
 "country": "United States Of America",
 "city": "Las Vegas"
}

Example responses

200 Response
{
  "hotelcode": 0,
  "hotelname": "string",
  "address": "string",
  "city": "string",
  "state": "string",
  "zip": "string",
  "country": "string",
  "starrating": "string",
  "lat": 0,
  "lng": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.